Subject: RE: [dhcwg] [Question]Is Reconfigure Key Authentication Protocolsupported?

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Mon, 6 Mar 2006 08:27:43 -0500

I suspect that this is in reference to RFC 3315:

       21.5.  Reconfigure Key Authentication Protocol. . . . . . . .  68
              21.5.1. Use of the Authentication Option in the
                      Reconfigure Key Authentication Protocol. . . .  69
              21.5.2. Server considerations for Reconfigure Key
                      protocol . . . . . . . . . . . . . . . . . . .  69
              21.5.3. Client considerations for Reconfigure Key
                      protocol . . . . . . . . . . . . . . . . . . .  70

And, I believe Thomas is correct that this has not been implemented. The
Dibbler client and server don't support it. The Cisco CNR server does
not support it. The Vista beta DHCPv6 client does not appear to support
it either. I don't know about other implementations.

I believe DOCSIS 3.0 does specify that it is to be supported (by cable
modems). Though I don't know if it is mandated.

- Bernie

> -----Original Message-----
> From: Thomas Narten [mailto:[email-masked]] 
> Sent: Friday, March 03, 2006 4:46 PM
> To: Hideshi Enokihara
> Cc: [email-masked]
> Subject: Re: [dhcwg] [Question]Is Reconfigure Key 
> Authentication Protocolsupported? 
> 
> > I just want to know whether Reconfigure Key Authentication Protocol 
> > is generally used by DHCPv6 implementation or not.
> 
> Exactly which protocol are you asking about? Do you have a reference?
> 
> And the quick answer is (I suspect) no. DHC authentication is not used
> in practice today. Not even clear there are implemenations.
> 
> Boy, I'd love to hear that I'm wrong about this!!!
> 
> Thomas
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg